#!/bin/sh
#product version compare
if [ `grep 'version=' ./version | cut -b -13` != `grep 'version=' /usr/cfg/versionback | cut -b -13` ];then 
echo "====================Product version not match! Don't update!======================="
exit 0
fi

if [ -z `find /mnt/sd/update/ -maxdepth 1 -name upginfo` ];then

echo "====================first update!======================="
mv /mnt/sd/update/no_upginfo /mnt/sd/update/upginfo
cp /usr/bin/*.sh /mnt/sd/update/tmp/usr/bin/
#cp /usr/bin/*.conf /mnt/sd/update/tmp/usr/bin/
cp /usr/bin/*.serialNumber /mnt/sd/update/tmp/usr/bin/
rm /usr/cfg/*.hwinf
cp /usr/cfg/* /mnt/sd/update/tmp/usr/cfg/
cp /mnt/sd/update/*.hwinf /usr/cfg/
cp /mnt/sd/update/rtl_hostapd.conf /usr/bin/rtl_hostapd.conf
cp /mnt/sd/update/rtl_hostapd.conf /usr/bin/rtl_hostapd_bak.conf
sync
sync
echo "====================first update end!======================="

else


echo "====================second update!======================="

#rm something, don't copy
rm /mnt/sd/update/tmp/usr/cfg/osd*
rm /mnt/sd/update/tmp/usr/cfg/version
rm /mnt/sd/update/tmp/usr/cfg/versionback
rm /usr/cfg/*.hwinf
cp /mnt/sd/update/*.hwinf /usr/cfg/
cp /mnt/sd/update/rtl_hostapd.conf /usr/bin/rtl_hostapd.conf
cp /mnt/sd/update/rtl_hostapd.conf /usr/bin/rtl_hostapd_bak.conf
cp /mnt/sd/update/tmp/usr/* /usr/ -rf
echo "-UPD- clean"
sync

rm -rf /mnt/sd/update
rm -rf /mnt/sd/update.tar.gz
echo "====================second update end!======================="
fi
sync

reboot
